<?php

namespace App\Controller;

use App\Service\TicketService;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

class SuccessController extends AbstractController
{
    #[Route(path: '/success', name: 'app_success_page', methods: Request::METHOD_GET)]
    public function __invoke(TicketService $service, Request $request): Response
    {
        $service->completePayment((string)$request->query->get('session_id'));

        return $this->render('ticket/success.html.twig');
    }
}